/*
 * Copyright 2001-2008 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */


package org.apache.juddi.model;

import java.io.Serializable;


public enum OperatorStatusType implements Serializable{


    NEW("new"),

    NORMAL("normal"),

    RESIGNED("resigned");
    private final String value;

    OperatorStatusType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OperatorStatusType fromValue(String v) {
        for (OperatorStatusType c: OperatorStatusType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
